Confirmar a inscrição de um convidado (link do e-mail)
POST
/v1/registrations/confirm
const url = 'https://api.vimine.network/v1/registrations/confirm';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vimine.network/v1/registrations/confirm \ --header 'Content-Type: application/json' \ --data '{ "token": "example" }'Consome o token trazido pelo link de confirmação: um tipo gratuito é confirmado (a resposta traz o token do QR), um pago continua reservado pelo prazo de reserva do evento e a resposta traz payment_instructions. Idempotente na repetição.
Corpo da requisiçãoobrigatório
Seção intitulada “Corpo da requisiçãoobrigatório”Tipo de mídiaapplication/json
object
token
obrigatório
string
Exemplogerado
{ "token": "example"}Respostas
Seção intitulada “Respostas”A inscrição
Tipo de mídiaapplication/json
object
id
string formato: uuid
status
string
event
object
id
string
slug
string
title
string
starts_at
string formato: date-time
ends_at
string formato: date-time
timezone
string
status
string
location
string
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string formato: date-time
checked_in_at
string formato: date-time
cancelled_at
string formato: date-time
cancel_reason
string
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string formato: date-time
payment_instructions
Como pagar a contribuição durante a reserva
string
note
Texto livre que a pessoa escreveu. Omitido (null) para os clientes de terceiros quando a associação declarou que trata categorias especiais de dados
string
created_at
string formato: date-time
token
O conteúdo do QR da inscrição (vmt_…), só para as inscrições confirmadas
string
Exemplo
{ "status": "reserved"}O link é inválido ou expirou (invalid_token)
Não encontrado
Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}A inscrição não está mais ativa ou o evento foi cancelado
Limite de requisições excedido
Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Erro interno
Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}